gtkmm 3.3.18

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Functions
Gtk::ColorChooser Class Reference

This interface can be implemented by widgets which allow the user to choose a color. More...

Inheritance diagram for Gtk::ColorChooser:
[legend]

List of all members.

## Public Member Functions
virtual | ~ColorChooser ()
GtkColorChooser* | gobj ()
| Provides access to the underlying C GObject.
const GtkColorChooser* | gobj () const
| Provides access to the underlying C GObject.
Gdk::RGBA | get_rgba () const
void | set_rgba (const Gdk::RGBA& color)
bool | get_use_alpha () const
void | set_use_alpha (bool use_alpha=true)
Glib::SignalProxy1< void, const Gdk::RGBA& > | signal_color_activated ()
Glib::PropertyProxy< Gdk::RGBA > | property_rgba ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < Gdk::RGBA > | property_rgba () const
| Current color, as a GdkRGBA.
Glib::PropertyProxy< bool > | property_use_alpha ()
| You rarely need to use properties because there are get_ and set_ methods for almost all of them.
Glib::PropertyProxy_ReadOnly < bool > | property_use_alpha () const
| Whether alpha should be shown.
## Static Public Member Functions
static void | add_interface (GType gtype_implementer)
## Protected Member Functions
virtual void | on_color_activated (const Gdk::RGBA& color)
| This is a default handler for the signal signal_color_activated().
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gtk::ColorChooser > | wrap (GtkColorChooser* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

This interface can be implemented by widgets which allow the user to choose a color.

Depending on the situation, colors may be allowed to have alpha (translucency). The main widgets that implement this interface are ColorChooserWidget, ColorChooserDialog and ColorChooserButton.

Since gtkmm 3.4:

## Constructor & Destructor Documentation

virtual Gtk::ColorChooser::~ColorChooser | ( |  | ) | `[virtual]`

## Member Function Documentation

static void Gtk::ColorChooser::add_interface | ( | GType | gtype_implementer | ) | `[static]`

Gdk::RGBA Gtk::ColorChooser::get_rgba | ( |  | ) | const

bool Gtk::ColorChooser::get_use_alpha | ( |  | ) | const

GtkColorChooser* Gtk::ColorChooser::gobj | ( |  | ) | `[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::ColorChooserDialog.

const GtkColorChooser* Gtk::ColorChooser::gobj | ( |  | ) | const`[inline]`

Provides access to the underlying C GObject.

Reimplemented from Glib::Interface.

Reimplemented in Gtk::ColorChooserDialog.

virtual void Gtk::ColorChooser::on_color_activated | ( | const Gdk::RGBA& | color | ) | `[protected, virtual]`

This is a default handler for the signal signal_color_activated().

Glib::PropertyProxy< Gdk::RGBA > Gtk::ColorChooser::property_rgba | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< Gdk::RGBA > Gtk::ColorChooser::property_rgba | ( |  | ) | const

Current color, as a GdkRGBA.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< bool > Gtk::ColorChooser::property_use_alpha | ( |  | ) |

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly< bool > Gtk::ColorChooser::property_use_alpha | ( |  | ) | const

Whether alpha should be shown.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

void Gtk::ColorChooser::set_rgba | ( | const Gdk::RGBA& | color | ) |

void Gtk::ColorChooser::set_use_alpha | ( | bool | use_alpha = `true` | ) |

Glib::SignalProxy1< void,const Gdk::RGBA& > Gtk::ColorChooser::signal_color_activated | ( |  | ) |

Slot Prototype:
  `void on_my_color_activated(const Gdk::RGBA& color)`

## Friends And Related Function Documentation

Glib::RefPtr< Gtk::ColorChooser > wrap | ( | GtkColorChooser * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gtkmm/colorchooser.h